// Copyright 1998-2017 Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Framework/Commands/Commands.h"
#include "MirrorPluginToolbarStyle.h"

class FMirrorPluginToolbarCommands : public TCommands<FMirrorPluginToolbarCommands>
{
public:

	FMirrorPluginToolbarCommands()
		: TCommands<FMirrorPluginToolbarCommands>(TEXT("MirrorPluginToolbar"), NSLOCTEXT("Contexts", "MirrorPluginToolbar", "MirrorPluginToolbar Plugin"), NAME_None, FMirrorPluginToolbarStyle::GetStyleSetName())
	{
	}

	// TCommands<> interface
	virtual void RegisterCommands() override;

public:
	TSharedPtr< FUICommandInfo > PluginAction;
};
